
#include<string>
#include<iostream>

using namespace std;

class Account
{
	int actNum;
	float balance;
public:
	Account(int, float);
	virtual void display();
	void nvDisplay();
};

class Deposit: public Account
{
	float iRate;
public:
	Deposit(int, float, float);
	virtual void display();
	void nvDisplay();
};

Account::Account(int num, float theBalance):
	actNum(num), balance(theBalance) {}

void Account::display()
{
	cout << "The account number is: " << actNum << endl;
	cout << "The balance is: " << balance << endl;
}

void Account::nvDisplay() 
{  
	cout << "The account number is: " << actNum << endl;
	cout << "The balance is: " << balance << endl;
}

Deposit::Deposit(int num, float theBalance, float rate):
	Account(num, theBalance), iRate(rate) {}

void Deposit::display()
{
	Account::display();
	cout << "The Interest Rate is: " << iRate << endl;
}

void Deposit::nvDisplay()
{
	Account::nvDisplay();
	cout << "The Interest Rate is: " << iRate << endl;
}

int main(void)
{
	Account *ptr = new Deposit(12345, 100.00f, 0.05f);
	ptr->display();
	ptr->nvDisplay();
}